<!-- templates/registration/login.html -->
{% extends 'base.html' %}
{% load static %}

{% block title %}Se connecter{% endblock %}

{% block login %}
        <form class="bg-white p-4" method="post">
            {% csrf_token %}
            <img src="{% static "images/p-120x120.png" %}" class="place-right mt-4-minus mr-6-minus">
            <!--img src="{ % static "images/p-120x120.png" %}" class="place-right mt-4-minus mr-6-minus"-->
            <h1 class="mb-0">Projects</h1>
            <div class="form-group mb-4"> &nbsp; </div>
            <div class="text-center text-muted m-4">Se connecter pour ouvrir une session</div>
            <div class="form-group">
                <input type="text" name="username" autofocus="" id="id_username" data-role="input" placeholder="Identifiant" data-append="<span class='mif-envelop'>" data-validate="required">
                <span class="invalid_feedback">Please enter a valid username</span>
            </div>
            <div class="form-group">
                <input type="password" name="password" id="id_password" data-role="input" placeholder="Mot de passe" data-append="<span class='mif-key'>" data-validate="required">
                <span class="invalid_feedback">Please enter a password</span>
            </div>

            <!--div class="form-group d-flex flex-align-center flex-justify-between">
                <input type="checkbox" data-role="checkbox" data-caption="Remember Me">
                <button class="button primary">Se connecter</button>
            </div-->
            <div class="form-group">
                <center><button class="button primary">Se connecter</button></center>
            </div>
            
<!--div class="form-group">
                <button class="image-button w-100 mt-1 bg-facebook fg-white" type="button">
                    <span class="mif-facebook icon"></span>
                    <span class="caption">Sign In using Facebook</span>
                </button>
                <button class="image-button w-100 mt-1 bg-github fg-white" type="button">
                    <span class="mif-github icon"></span>
                    <span class="caption">Sign In using GitHub</span>
                </button>
                <button class="image-button w-100 mt-1 bg-gitlab fg-white" type="button">
                    <span class="mif-gitlab icon"></span>
                    <span class="caption">Sign In using GitLab</span>
                </button>
            </div-->
            <div class="form-group border-top bd-default pt-2">
                <a href="{% url 'password_reset' %}" class="d-block">J'ai oublié mon mot de passe !</a>
                <!--a href="#" class="d-block">Register a new membership</a-->
            </div>
        </form>
<!--h2>Se connecter</h2>
<form method="post">
  {% csrf_token %}
  {{ form.as_p }}
    <br>
    <button class="image-button success" title="Se connecter" type="submit">
        <span class="mif-user icon"></span>
        <span class="caption">Se connecter</span></center>
    </button>
</form-->
{% endblock %}